ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Scheper, Erik-Berndt" <erik-berndt.sche...@sogeti.nl>
Subject RE: [IVYDE] build failure
Date Mon, 22 Sep 2008 14:55:05 GMT
Regarding my other problem (ivy files generated by rc1 are not available in the classpath container
of ivyde), the main difference between the two ivy files generated is:
old:
 <publications>
  <artifact name="spring-oxm" type="jar" ext="jar" conf="master"/>
 </publications>

new:
 <publications>
  <artifact name="spring-oxm" type="bundle" ext="jar" conf="master"/>
</publications>
 
Is it possible that IVYDE cannot handle bundles (or doesn't show them in the classpath container)?
 
If so, is this a bug?
 
Regards,
Erik-Berndt
 
 

________________________________

Van: Scheper, Erik-Berndt [mailto:erik-berndt.scheper@sogeti.nl]
Verzonden: ma 22-9-2008 16:48
Aan: dev@ant.apache.org
Onderwerp: [IVYDE] build failure



Hi,

I'm having a problem with the suggested IVY rc1 in combination with IVY DE.
I've noticed that the IVYDE classpath container doesn't contain items downloaded from a remote
maven repository using IVY-RC1

Therefore I tried to build the IVYDE from trunk, using the ivy rc1. However, this failed miserably
with the following error:

     [java]
     [java] generateScript:
     [java] [eclipse.buildScript] Problem occurred while considering plugin: IvyDE Eclipse
Plug-in.
     [java]
     [java] BUILD FAILED
     [java] D:\java-apps\eclipse-RCP-3.4.1.RC2\plugins\org.eclipse.pde.build_3.4.1.R34x_v20080805\scripts\build.xml:24:
The following error occurred
hile executing this line:
     [java] D:\java-apps\eclipse-RCP-3.4.1.RC2\plugins\org.eclipse.pde.build_3.4.1.R34x_v20080805\scripts\build.xml:64:
The following error occurred
hile executing this line:
     [java] D:\java-apps\ivyde\builder\component\customTargets.xml:28: The following error
occurred while executing this line:
     [java] D:\java-apps\ivyde\builder\component\allElements.xml:30: The following error occurred
while executing this line:
     [java] D:\java-apps\eclipse-RCP-3.4.1.RC2\plugins\org.eclipse.pde.build_3.4.1.R34x_v20080805\scripts\genericTargets.xml:88:
Unable to find plug
n: org.apache.ivyde.eclipse_0.0.0. Please check the error log for more details.
     [java]
     [java] Total time: 2 seconds


I successfully built IVYDE from trunk before, but now it fails (using Eclipse 3.4 SR1 RC2
for the first time).
Any suggestions?

Regards,
Erik-Berndt

Disclaimer:

This message contains information that may be privileged or confidential and is the property
of Sogeti Nederland B.V. or its Group members. It is intended only for the person to whom
it is addressed. If you are not the intended recipient, you are not authorized to read, print,
retain, copy, disseminate, distribute, or use this message or any part thereof. If you receive
this message in error, please notify the sender immediately and delete all copies of this
message.



Disclaimer:
This message contains information that may be privileged or confidential and is the property
of Sogeti Nederland B.V. or its Group members. It is intended only for the person to whom
it is addressed. If you are not the intended recipient, you are not authorized to read, print,
retain, copy, disseminate, distribute, or use this message or any part thereof. If you receive
this message in error, please notify the sender immediately and delete all copies of this
message.


Mime
View raw message